get
/api/v2/responses/{id}Get a persisted LLM response with citations and mentions.
Get a persisted LLM response with citations and mentions.
Requires bearer API key
Parameters
X-Project-Id
header
Required for organization-wide API keys on project-scoped endpoints. Project-scoped keys infer the project automatically.
Schema: string
id
path / required
No description provided.
Schema: string
Responses
200
Successful JSON response.
application/json{
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"promptId": {
"type": "string"
},
"promptText": {
"type": "string"
},
"modelKey": {
"type": "string"
},
"provider": {
"type": "string"
},
"productSurface": {
"type": "string"
},
"upstreamProvider": {
"type": "string"
},
"executionMode": {
"type": "string"
},
"sourceModeLabel": {
"type": "string"
},
"providerRunId": {
"type": "string",
"nullable": true
},
"providerSourceMode": {
"type": "string",
"nullable": true
},
"upstreamEndpoint": {
"type": "string",
"nullable": true
},
"providerStatusCode": {
"type": "number",
"nullable": true
},
"providerStatusMessage": {
"type": "string",
"nullable": true
},
"providerCost": {
"type": "number",
"nullable": true
},
"providerTime": {
"type": "string",
"nullable": true
},
"providerKeyword": {
"type": "string",
"nullable": true
},
"providerLocationCode": {
"type": "number",
"nullable": true
},
"providerLanguageCode": {
"type": "string",
"nullable": true
},
"providerDevice": {
"type": "string",
"nullable": true
},
"providerComparisons": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"properties": {
"provider": {
"type": "string"
},
"surface": {
"type": "string"
},
"productSurface": {
"type": "string",
"nullable": true
},
"sourceMode": {
"type": "string",
"nullable": true
},
"upstreamEndpoint": {
"type": "string",
"nullable": true
},
"taskId": {
"type": "string",
"nullable": true
},
"statusCode": {
"type": "number",
"nullable": true
},
"statusMessage": {
"type": "string",
"nullable": true
},
"cost": {
"type": "number",
"nullable": true
},
"moneySpent": {
"type": "number",
"nullable": true
},
"modelName": {
"type": "string",
"nullable": true
},
"webSearch": {
"type": "boolean",
"nullable": true
},
"answerText": {
"type": "string",
"nullable": true
},
"fanOutQueries": {
"type": "array",
"items": {
"type": "string"
}
},
"citations": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"properties": {
"title": {
"type": "string",
"nullable": true
},
"url": {
"type": "string",
"nullable": true
},
"domain": {
"type": "string",
"nullable": true
},
"text": {
"type": "string",
"nullable": true
}
},
"required": [
"title",
"url",
"domain",
"text"
]
}
}
},
"required": [
"provider",
"surface",
"productSurface",
"sourceMode",
"upstreamEndpoint",
"taskId",
"statusCode",
"statusMessage",
"cost",
"moneySpent",
"modelName",
"webSearch",
"answerText",
"fanOutQueries",
"citations"
]
}
},
"outputText": {
"type": "string"
},
"visibilityScore": {
"type": "integer"
},
"sentimentScore": {
"type": "integer"
},
"sentiment": {
"type": "string",
"enum": [
"positive",
"neutral",
"negative"
]
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"rawPayload": {
"type": "object",
"additionalProperties": true
},
"mentions": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true
}
},
"citations": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true
}
},
"analysis": {
"type": "object",
"additionalProperties": true,
"nullable": true
}
},
"required": [
"id",
"outputText",
"mentions",
"citations",
"productSurface",
"upstreamProvider",
"executionMode",
"sourceModeLabel",
"providerRunId",
"providerSourceMode",
"upstreamEndpoint",
"providerStatusCode",
"providerStatusMessage",
"providerCost",
"providerTime",
"providerKeyword",
"providerLocationCode",
"providerLanguageCode",
"providerDevice",
"providerComparisons"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.